This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 221343 - NullPointerException at org.netbeans.modules.gsf.testrunner.api.Report.<init>
Summary: NullPointerException at org.netbeans.modules.gsf.testrunner.api.Report.<init>
Status: RESOLVED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: Test Runner (show other bugs)
Version: 7.3
Hardware: All All
: P3 normal (vote)
Assignee: Theofanis Oikonomou
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-02 12:41 UTC by dynamite
Modified: 2012-11-18 03:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter: 192317


Attachments
stacktrace (1.74 KB, text/plain)
2012-11-02 12:41 UTC, dynamite
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dynamite 2012-11-02 12:41:42 UTC
Build: NetBeans IDE Dev (Build 201210280001)
VM: Java HotSpot(TM) Client VM, 20.4-b02, Java(TM) SE Runtime Environment, 1.6.0_29-b11
OS: Windows 7

User Comments:
GUEST: Debugging a JUnit test

dynamite: Whilst running, ok for a couple of hunderd tests including a failure in the middle before later hitting this exception:

        <junit printsummary="on" fork="true" haltonfailure="false" failureproperty="tests.failed" showoutput="false">
            <classpath>
                <pathelement location="${x.dir}/${bin.dir}" />
                <pathelement location="${x.dir}/${test.dir}" />
                <pathelement location="${y.dir}/${bin.dir}" />
                <pathelement location="${y.dir}/${test.dir}" />
                <pathelement location="${x.dir}/src/war/WEB-INF" />
                <path refid="master-classpath" />
                <!-- Ensure test spring context files and persistence unit xml files are on the classpath. -->
                <pathelement location="${x.dir}/test"/>
                <pathelement location="${x.dir}/src"/>
            </classpath>
            <formatter type="xml" usefile="true" />
            <formatter type="plain" usefile="false" />




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.gsf.testrunner.api.Report.<init>(Report.java:93)
   at org.netbeans.modules.gsf.testrunner.api.TestSession.getReport(TestSession.java:295)
   at org.netbeans.modules.junit.output.JUnitOutputReader.testCaseFinished(JUnitOutputReader.java:698)
   at org.netbeans.modules.junit.output.JUnitOutputReader.verboseMessageLogged(JUnitOutputReader.java:241)
   at org.netbeans.modules.junit.output.JUnitOutputReader.verboseMessageLogged(JUnitOutputReader.java:191)
   at org.netbeans.modules.junit.output.JUnitAntLogger.messageLogged(JUnitAntLogger.java:289)
Comment 1 dynamite 2012-11-02 12:41:44 UTC
Created attachment 126997 [details]
stacktrace
Comment 2 Theofanis Oikonomou 2012-11-16 22:20:42 UTC
The project is null for some reason. Added assertion to get info for the uri that produces such behaviour: http://hg.netbeans.org/core-main/rev/5cc3e1eb7b55
Comment 3 Quality Engineering 2012-11-18 03:10:35 UTC
Integrated into 'main-golden', will be available in build *201211180002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5cc3e1eb7b55
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: Issue #221343 - NullPointerException at org.netbeans.modules.gsf.testrunner.api.Report.<init>